commit: 6681f5b54fb326f69769a98182085966e3f7aa0c
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 16 15:07:52 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 16 16:58:27 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6681f5b5
net-im/fractal: Disable upstream default params
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
net-im/fractal/fractal-10_rc.ebuild | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/net-im/fractal/fractal-10_rc.ebuild
b/net-im/fractal/fractal-10_rc.ebuild
index fed258f187ea..34c61c462b8b 100644
--- a/net-im/fractal/fractal-10_rc.ebuild
+++ b/net-im/fractal/fractal-10_rc.ebuild
@@ -97,8 +97,9 @@ QA_FLAGS_IGNORED="usr/bin/fractal"
src_prepare() {
default
- # upstream dev settings are insane
- sed -i -e 's:profile\.dev:ignored.insanity:' Cargo.toml || die
+ # ignore upstream settings, they force debug symbols for release
+ # and disable them for dev builds
+ sed -i -e 's:profile\.:ignored.&:' Cargo.toml || die
}
src_configure() {